# gdcm::ModuleEntry Class Reference

Class for representing a ModuleEntry. More...

`#include <gdcmModuleEntry.h>`

Inheritance diagram for gdcm::ModuleEntry:
[legend]
Collaboration diagram for gdcm::ModuleEntry:
[legend]

List of all members.

## Public Types

typedef std::string | Description

## Public Member Functions

| ModuleEntry (const char *name="", const char *type="3", const char *description="")
virtual | ~ModuleEntry ()
const Description & | GetDescription () const
const char * | GetName () const
const Type & | GetType () const
void | SetDescription (const char *d)
void | SetName (const char *name)
void | SetType (const Type &type)

## Protected Attributes

Type | DataElementType
Description | DescriptionField
std::string | Name

## Friends

std::ostream & | operator<< (std::ostream &_os, const ModuleEntry &_val)

## Detailed Description

Class for representing a ModuleEntry.

Note:
  bla

See also:
  DictEntry

Examples:

  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::string gdcm::ModuleEntry::Description

## Constructor & Destructor Documentation

gdcm::ModuleEntry::ModuleEntry | ( | const char * | name = `""`,
|  | const char * | type = `"3"`,
|  | const char * | description = `""`
| ) |  | `[inline]`

References gdcm::Type::GetTypeType().

virtual gdcm::ModuleEntry::~ModuleEntry | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

const Description& gdcm::ModuleEntry::GetDescription | ( |  | ) | const`[inline]`

const char* gdcm::ModuleEntry::GetName | ( |  | ) | const`[inline]`

const Type& gdcm::ModuleEntry::GetType | ( |  | ) | const`[inline]`

Examples:
  TraverseModules.cxx.

void gdcm::ModuleEntry::SetDescription | ( | const char * | d | ) | `[inline]`

void gdcm::ModuleEntry::SetName | ( | const char * | name | ) | `[inline]`

void gdcm::ModuleEntry::SetType | ( | const Type & | type | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const ModuleEntry & | _val
| ) |  | `[friend]`

## Member Data Documentation

Type gdcm::ModuleEntry::DataElementType `[protected]`

Referenced by gdcm::operator<<().

Description gdcm::ModuleEntry::DescriptionField `[protected]`

Referenced by gdcm::operator<<().

std::string gdcm::ModuleEntry::Name `[protected]`

Referenced by gdcm::operator<<().

The documentation for this class was generated from the following file:

- gdcmModuleEntry.h